header {
  background-color: $header-background-color;
}

#userinfo {
  color: $white;
  text-align: right;
  padding-#{$right}: 5px;
  margin-top: 19px;
  height: 25px;
  float: $right;

  a {
    color: $white;
  }

  a.login {
    color: $gray;
    margin: side-values(10px 22px 0 0);
  }

  .icon-btn {
    display: inline-block;
    min-width: 60px;
    max-width: 90px;
    margin: 0 5px 0 5px;
    text-align: center;
    vertical-align: top;

    a:hover {
      color: $light-blue;
      text-decoration: none;
    }

    .admin-mode {
      color: $light-yellow;
    }
  }

  div, span {
    display: inline-block;
  }

  div.operations {
    display: block;
    text-align: left;
    margin: 5px;

    .icon-operation {
      margin-right: 0.5em;
    }
  }

  #change-mission {
    font-size: 9pt;
    vertical-align: top;
    display: inline-block;
    width: 190px;
    height: 31px;
    margin-right: 10px;
  }
}

#title-container {
  overflow: auto;
  clear: both;

  span.label {
    display: inline-block;
    font-size: 10px;
    margin: .25em .5em;
    padding: .5em .8em;
    vertical-align: middle;
  }

  h1.title {
    color: #777;
    font-weight: bold;
    margin-bottom: 20px;
    margin-#{$right}: 10px;

    i {
      color: $light-gray;
      margin-#{$right}: 5px;
    }
  }

  // std seal in title
  h1.title img {
    width: 16px;
    height: 16px;
  }
}

#logo {
  color: $white;
  margin: side-values(10px 0 10px 15px);
  display: inline-block;

  // Don't allow the large bounding box to obstruct other header links.
  pointer-events: none;

  > div {
    display: inline-block;
    vertical-align: top;
  }

  img {
    display: inline-block;
    margin: 12px 0 12px 12px;
    height: 54px;  /* explicit height to prevent shifting during load */
    vertical-align: bottom;

    // Undo 'none' on the parent div.
    pointer-events: all;
  }

  a {
    color: $white;
    text-decoration: none;
  }

  h1 {
    font-size: 40px;
    color: $white;
    line-height: 1;
    display: inline-block;
    margin: 0 10px 5px 0;
  }

  h2 {
    font-size: 24px;
    font-family: "Raleway", sans-serif;
    font-weight: bold;
    width: 300px;
    margin: 0;
    color: $light-blue;
    display: inline-block;
    text-transform: lowercase;
    vertical-align: bottom;
    line-height: 24px;
    padding-bottom: 12px;

    /* trophy icon */
    i {
      font-size: 22px;
    }
  }
}

#content {
  padding: 20px 25px 30px 25px;
  min-height: 400px;
  background-color: $white;
}

#footer {
  padding-top: 108px;
  vertical-align: middle;
  background-color: $footer-background-color;
  color: $footer-text-color;
  text-align: center;
  height: 300px;

  a {
    color: $accent-color;
  }

  //workaround for arabic display order issue
  #locale_form_link {
    display: inline-block;
  }

  #locale_form {
    display: none;
  }

  div.site_by {
    margin-top: 10px;
    padding: 3px;
    text-align: right;
  }
}
